.navbar {
        width: 100%;
        background: #fff;
        border-bottom: 1px solid #eee;
        padding: 12px 30px;
      }

      .nav-container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        min-height: 54px;
        padding: 10px 30px;
        width: 100%;
      }

      /* Logo */
      .logo img {
        height: 40px;
      }

      /* Menu */
      .menu {
        display: flex;
        gap: 30px;
        align-items: center;
      }

      .menu a {
        text-decoration: none;
        color: #444;
        font-weight: 500;
        transition: 0.3s;
      }

      .menu a:hover {
        color: #002365;
      }

     

      /* Right section */
      .right-section {
        display: flex;
        align-items: center;
        gap: 20px;
      }

      /* Search */
      .search-box {
        display: flex;
        align-items: center;
        background: #fff;
        padding: 6px 12px;
        border-radius: 10px;
        gap: 6px;
        border: 1px solid gainsboro;
      }

      .search-box input {
        border: none;
        background: transparent;
        outline: none;
      }

      /* Button */
      .cta-btn {
        background: #002365;
        border: none;
        padding: 10px 18px;
        border-radius: 10px;
        color: #fff;
        font-weight: 600;
        cursor: pointer;
        transition: 0.3s;
      }

      .cta-btn:hover {
        transform: scale(1.05);
      }

      /* Signin */
      .signin {
        text-decoration: none;
        color: #444;
      }

      /* Cart */
      .cart {
        position: relative;
        font-size: 20px;
      }

      .count {
        position: absolute;
        top: -6px;
        right: -10px;
        background: #002365;
        color: #fff;
        font-size: 12px;
        border-radius: 50%;
        padding: 2px 6px;
      }

      .social-icons {
        display: flex;
        gap: 5px;
      }

      .social-icons a {
        width: 38px;
        height: 38px;
        /* background: #f2f3f7; */
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #6b7280;
        font-size: 18px;
        transition: 0.3s;
        text-decoration: none;
      }

      .social-icons a:hover {
        background: #002365;
        color: #fff;
        transform: translateY(-3px);
      }

      /* Hide hamburger on desktop */
      .hamburger {
        display: none;
        font-size: 24px;
        cursor: pointer;
      }

      /* Overlay */
      .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.3);
        opacity: 0;
        visibility: hidden;
        transition: 0.3s;
        z-index: 998;
      }

      .overlay.active {
        opacity: 1;
        visibility: visible;
      }

      /* Mobile Sidebar */
      .mobile-sidebar {
        position: fixed;
        top: 0;
        right: -100%;
        width: 85%;
        height: 100vh;
        background: #fff;
        transition: 0.35s ease;
        z-index: 999;
        padding: 20px;
        box-shadow: -5px 0 25px rgba(0, 0, 0, 0.1);
      }

      .mobile-sidebar.active {
        right: 0;
      }

      .mobile-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 25px;
      }

      .close-btn {
        font-size: 24px;
        cursor: pointer;
      }

      .mobile-menu-card {
        background: #fff;
        border-radius: 14px;
        padding: 10px;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
      }

      .mobile-item {
        padding: 14px 16px;
        border-radius: 10px;
        display: flex;
        justify-content: space-between;
        cursor: pointer;
        font-weight: 500;
      }

      .mobile-item:hover {
        background: #f3f4f7;
      }

      .mobile-dropdown {
        display: none;
        padding-left: 15px;
      }

      .mobile-dropdown a {
        display: block;
        padding: 10px;
        color: #555;
        text-decoration: none;
      }

      .support-highlight {
        background: #002365;
        color: #fff;
      }

      /* Responsive */
      @media (max-width: 900px) {
        .menu,
        .search-box,
        .cta-btn,
        .signin,
        .cart {
          display: none;
        }

        .hamburger {
          display: block;
        }
        .menu {
          display: none;
        }

        .search-box,
        .social-icons {
          display: none;
        }

        .dropdown-menuu {
          position: static;
          width: 100%;
          box-shadow: none;
        }

        .mega-grid {
          grid-template-columns: 1fr;
        }
      }
      
      
         	/* Dropdown */
.dropdown {
  position: relative;
}

.dropdown .dropdown-menuuu {
  position: absolute;
  top: 100%;
  left: 0;
  background: red;
  min-width: 220px;
  padding: 15px;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
  display: none;
  z-index: 1000;
}

.dropdown:hover .dropdown-menuu {
  display: block;
}

.mega-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.dropdown-menuu a {
  display: block;
  padding: 8px 10px;
  text-decoration: none;
  color: #444;
  border-radius: 6px;
}

.dropdown-menuu a:hover {
  background: #f3f4f7;
  color: #002365;
}